CREATE TABLE IF NOT EXISTS {database_name:Identifier}.snowplow_events_local on cluster '{cluster}'
(
    app_id String,
    platform String,
    etl_tstamp DateTime64(3, 'GMT'),
    collector_tstamp DateTime64(3, 'GMT'),
    dvce_created_tstamp DateTime64(3, 'GMT'),
    event String,
    event_id String,
    txn_id String,
    name_tracker String,
    v_tracker String,
    v_collector String,
    v_etl String,
    user_id String,
    user_ipaddress String,
    user_fingerprint String,
    domain_userid String,
    domain_sessionidx String,
    network_userid String,
    geo_country String,
    geo_region String,
    geo_city String,
    geo_zipcode String,
    geo_latitude String,
    geo_longitude String,
    geo_region_name String,
    ip_isp String,
    ip_organization String,
    ip_domain String,
    ip_netspeed String,
    page_url String,
    page_title String,
    page_referrer String,
    page_urlscheme String,
    page_urlhost String,
    page_urlport String,
    page_urlpath String,
    page_urlquery String,
    page_urlfragment String,
    refr_urlscheme String,
    refr_urlhost String,
    refr_urlport String,
    refr_urlpath String,
    refr_urlquery String,
    refr_urlfragment String,
    refr_medium String,
    refr_source String,
    refr_term String,
    mkt_medium String,
    mkt_source String,
    mkt_term String,
    mkt_content String,
    mkt_campaign String,
    contexts String,
    unstruct_event String,
    pp_xoffset_min String,
    pp_xoffset_max String,
    pp_yoffset_min String,
    pp_yoffset_max String,
    useragent String,
    br_name String,
    br_family String,
    br_version String,
    br_type String,
    br_renderengine String,
    br_lang String,
    br_features_pdf String,
    br_cookies String,
    br_colordepth Int16,
    br_viewwidth Int16,
    br_viewheight Int16,
    os_name String,
    os_family String,
    os_manufacturer String,
    os_timezone String,
    dvce_type String,
    dvce_ismobile String,
    dvce_screenwidth Int16,
    dvce_screenheight Int16,
    doc_charset String,
    doc_width String,
    doc_height String,
    geo_timezone String,
    mkt_clickid String,
    mkt_network String,
    etl_tags String,
    dvce_sent_tstamp DateTime64(3, 'GMT'),
    refr_domain_userid String,
    refr_device_tstamp String,
    derived_contexts String,
    domain_sessionid String,
    derived_tstamp DateTime64(3, 'GMT'),
    event_vendor String,
    event_name String,
    event_format String,
    event_version String,
    event_fingerprint String,
    true_tstamp String,
    custom_event_name String,
    custom_event_props String,
    custom_user_props String,
    user_id_type Enum('anonymous', 'cookie', 'identify')
    ) ENGINE = ReplicatedMergeTree('/clickhouse/{installation}/{cluster}/tables/{shard}/{database}/{table}', '{replica}')
    ORDER BY derived_tstamp;